JndiBindingsType.JndiBinding (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class JndiBindingsType.JndiBinding

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheElement
  - - org.apache.geode.cache.configuration.JndiBindingsType.JndiBinding

- All Implemented Interfaces:
    Serializable, Identifiable<String>
  Enclosing class:
    JndiBindingsType

      @Experimental
      public static class JndiBindingsType.JndiBinding
      extends CacheElement

  Java class for anonymous complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="config-property" maxOccurs="unbounded" minOccurs="0">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="config-property-name" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="config-property-type" type="{http://www.w3.org/2001/XMLSchema}string"/>
                         <element name="config-property-value" type="{http://www.w3.org/2001/XMLSchema}string"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="blocking-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="conn-pooled-datasource-class" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="connection-url" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="idle-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="init-pool-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="jdbc-driver-class" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="jndi-name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="login-timeout-seconds" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="managed-conn-factory-class" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="max-pool-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="password" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="transaction-type" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="type" use="required">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="ManagedDataSource"/>
                   <enumeration value="SimpleDataSource"/>
                   <enumeration value="PooledDataSource"/>
                   <enumeration value="XAPooledDataSource"/>
                 </restriction>
               </simpleType>
             </attribute>
             <attribute name="user-name" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="xa-datasource-class" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JndiBindingsType.JndiBinding.ConfigProperty` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `blockingTimeoutSeconds`
    `protected List<JndiBindingsType.JndiBinding.ConfigProperty>` | `configProperties`
    `protected String` | `connectionUrl`
    `protected String` | `connPooledDatasourceClass`
    `protected String` | `idleTimeoutSeconds`
    `protected String` | `initPoolSize`
    `protected String` | `jdbcDriverClass`
    `protected String` | `jndiName`
    `protected String` | `loginTimeoutSeconds`
    `protected String` | `managedConnFactoryClass`
    `protected String` | `maxPoolSize`
    `protected String` | `password`
    `protected String` | `transactionType`
    `protected String` | `type`
    `protected String` | `userName`
    `protected String` | `xaDatasourceClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JndiBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBlockingTimeoutSeconds()` Gets the value of the blockingTimeoutSeconds property.
    `List<JndiBindingsType.JndiBinding.ConfigProperty>` | `getConfigProperties()` Gets the value of the configProperties property.
    `String` | `getConnectionUrl()` Gets the value of the connectionUrl property.
    `String` | `getConnPooledDatasourceClass()` Gets the value of the connPooledDatasourceClass property.
    `String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `String` | `getIdleTimeoutSeconds()` Gets the value of the idleTimeoutSeconds property.
    `String` | `getInitPoolSize()` Gets the value of the initPoolSize property.
    `String` | `getJdbcDriverClass()` Gets the value of the jdbcDriverClass property.
    `String` | `getJndiName()` Gets the value of the jndiName property.
    `String` | `getLoginTimeoutSeconds()` Gets the value of the loginTimeoutSeconds property.
    `String` | `getManagedConnFactoryClass()` Gets the value of the managedConnFactoryClass property.
    `String` | `getMaxPoolSize()` Gets the value of the maxPoolSize property.
    `String` | `getPassword()` Gets the value of the password property.
    `String` | `getTransactionType()` Gets the value of the transactionType property.
    `String` | `getType()` Gets the value of the type property.
    `String` | `getUserName()` Gets the value of the userName property.
    `String` | `getXaDatasourceClass()` Gets the value of the xaDatasourceClass property.
    `void` | `setBlockingTimeoutSeconds(String value)` Sets the value of the blockingTimeoutSeconds property.
    `void` | `setConnectionUrl(String value)` Sets the value of the connectionUrl property.
    `void` | `setConnPooledDatasourceClass(String value)` Sets the value of the connPooledDatasourceClass property.
    `void` | `setIdleTimeoutSeconds(String value)` Sets the value of the idleTimeoutSeconds property.
    `void` | `setInitPoolSize(String value)` Sets the value of the initPoolSize property.
    `void` | `setJdbcDriverClass(String value)` Sets the value of the jdbcDriverClass property.
    `void` | `setJndiName(String value)` Sets the value of the jndiName property.
    `void` | `setLoginTimeoutSeconds(String value)` Sets the value of the loginTimeoutSeconds property.
    `void` | `setManagedConnFactoryClass(String value)` Sets the value of the managedConnFactoryClass property.
    `void` | `setMaxPoolSize(String value)` Sets the value of the maxPoolSize property.
    `void` | `setPassword(String value)` Sets the value of the password property.
    `void` | `setTransactionType(String value)` Sets the value of the transactionType property.
    `void` | `setType(String value)` Sets the value of the type property.
    `void` | `setUserName(String value)` Sets the value of the userName property.
    `void` | `setXaDatasourceClass(String value)` Sets the value of the xaDatasourceClass property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### configProperties

          protected List<JndiBindingsType.JndiBinding.ConfigProperty> configProperties

    - #### blockingTimeoutSeconds

          protected String blockingTimeoutSeconds

    - #### connPooledDatasourceClass

          protected String connPooledDatasourceClass

    - #### connectionUrl

          protected String connectionUrl

    - #### idleTimeoutSeconds

          protected String idleTimeoutSeconds

    - #### initPoolSize

          protected String initPoolSize

    - #### jdbcDriverClass

          protected String jdbcDriverClass

    - #### jndiName

          protected String jndiName

    - #### loginTimeoutSeconds

          protected String loginTimeoutSeconds

    - #### managedConnFactoryClass

          protected String managedConnFactoryClass

    - #### maxPoolSize

          protected String maxPoolSize

    - #### password

          protected String password

    - #### transactionType

          protected String transactionType

    - #### type

          protected String type

    - #### userName

          protected String userName

    - #### xaDatasourceClass

          protected String xaDatasourceClass

  - ### Constructor Detail

    - #### JndiBinding

          public JndiBinding()

  - ### Method Detail

    - #### getConfigProperties

          public List<JndiBindingsType.JndiBinding.ConfigProperty> getConfigProperties()

      Gets the value of the configProperties property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the configProperties property.

      For example, to add a new item, do as follows:

           getConfigProperties().add(newItem);

      Objects of the following type(s) are allowed in the list `JndiBindingsType.JndiBinding.ConfigProperty`

      Returns:
        the `List` of configuration properties.

    - #### getBlockingTimeoutSeconds

          public String getBlockingTimeoutSeconds()

      Gets the value of the blockingTimeoutSeconds property. possible object is `String`
      Returns:
        the blocking timeout in seconds.

    - #### setBlockingTimeoutSeconds

          public void setBlockingTimeoutSeconds(String value)

      Sets the value of the blockingTimeoutSeconds property. allowed object is `String`
      Parameters:
        `value` - the blocking timeout in seconds.

    - #### getConnPooledDatasourceClass

          public String getConnPooledDatasourceClass()

      Gets the value of the connPooledDatasourceClass property. possible object is `String`
      Returns:
        the `ConnectionPoolDataSource` type.

    - #### setConnPooledDatasourceClass

          public void setConnPooledDatasourceClass(String value)

      Sets the value of the connPooledDatasourceClass property. allowed object is `String`
      Parameters:
        `value` - `ConnectionPoolDataSource` type.

    - #### getConnectionUrl

          public String getConnectionUrl()

      Gets the value of the connectionUrl property. possible object is `String`
      Returns:
        the connection URL.

    - #### setConnectionUrl

          public void setConnectionUrl(String value)

      Sets the value of the connectionUrl property. allowed object is `String`
      Parameters:
        `value` - the connection URL.

    - #### getIdleTimeoutSeconds

          public String getIdleTimeoutSeconds()

      Gets the value of the idleTimeoutSeconds property. possible object is `String`
      Returns:
        the idle timeout in seconds.

    - #### setIdleTimeoutSeconds

          public void setIdleTimeoutSeconds(String value)

      Sets the value of the idleTimeoutSeconds property. allowed object is `String`
      Parameters:
        `value` - the idle timeout in seconds.

    - #### getInitPoolSize

          public String getInitPoolSize()

      Gets the value of the initPoolSize property. possible object is `String`
      Returns:
        the initial pool size.

    - #### setInitPoolSize

          public void setInitPoolSize(String value)

      Sets the value of the initPoolSize property. allowed object is `String`
      Parameters:
        `value` - the initial pool size.

    - #### getJdbcDriverClass

          public String getJdbcDriverClass()

      Gets the value of the jdbcDriverClass property. possible object is `String`
      Returns:
        the JDBC driver class.

    - #### setJdbcDriverClass

          public void setJdbcDriverClass(String value)

      Sets the value of the jdbcDriverClass property. allowed object is `String`
      Parameters:
        `value` - the JDBC driver class.

    - #### getJndiName

          public String getJndiName()

      Gets the value of the jndiName property. possible object is `String`
      Returns:
        the JNDI name.

    - #### setJndiName

          public void setJndiName(String value)

      Sets the value of the jndiName property. allowed object is `String`
      Parameters:
        `value` - the JNDI name.

    - #### getLoginTimeoutSeconds

          public String getLoginTimeoutSeconds()

      Gets the value of the loginTimeoutSeconds property. possible object is `String`
      Returns:
        the login timeout in seconds.

    - #### setLoginTimeoutSeconds

          public void setLoginTimeoutSeconds(String value)

      Sets the value of the loginTimeoutSeconds property. allowed object is `String`
      Parameters:
        `value` - the login timeout in seconds.

    - #### getManagedConnFactoryClass

          public String getManagedConnFactoryClass()

      Gets the value of the managedConnFactoryClass property. possible object is `String`
      Returns:
        the name of the `ManagedConnectionFactory` type.

    - #### setManagedConnFactoryClass

          public void setManagedConnFactoryClass(String value)

      Sets the value of the managedConnFactoryClass property. allowed object is `String`
      Parameters:
        `value` - the `ManagedConnectionFactory` class name.

    - #### getMaxPoolSize

          public String getMaxPoolSize()

      Gets the value of the maxPoolSize property. possible object is `String`
      Returns:
        the maximum pool size.

    - #### setMaxPoolSize

          public void setMaxPoolSize(String value)

      Sets the value of the maxPoolSize property. allowed object is `String`
      Parameters:
        `value` - the maximum pool size.

    - #### getPassword

          public String getPassword()

      Gets the value of the password property. possible object is `String`
      Returns:
        the password.

    - #### setPassword

          public void setPassword(String value)

      Sets the value of the password property. allowed object is `String`
      Parameters:
        `value` - the password.

    - #### getTransactionType

          public String getTransactionType()

      Gets the value of the transactionType property. possible object is `String`
      Returns:
        the transaction type.

    - #### setTransactionType

          public void setTransactionType(String value)

      Sets the value of the transactionType property. allowed object is `String`
      Parameters:
        `value` - the transaction type.

    - #### getType

          public String getType()

      Gets the value of the type property. possible object is `String`
      Returns:
        the type.

    - #### setType

          public void setType(String value)

      Sets the value of the type property. allowed object is `String`
      Parameters:
        `value` - the type.

    - #### getUserName

          public String getUserName()

      Gets the value of the userName property. possible object is `String`
      Returns:
        the username.

    - #### setUserName

          public void setUserName(String value)

      Sets the value of the userName property. allowed object is `String`
      Parameters:
        `value` - the username.

    - #### getXaDatasourceClass

          public String getXaDatasourceClass()

      Gets the value of the xaDatasourceClass property. possible object is `String`
      Returns:
        the XA datasource class.

    - #### setXaDatasourceClass

          public void setXaDatasourceClass(String value)

      Sets the value of the xaDatasourceClass property. allowed object is `String`
      Parameters:
        `value` - the XA datasource class.

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Returns:
        an identifier uniquely identifying this Object.